#!/usr/bin/env perl
# Usage: perl intergenic_length.pl lgi_loci_position.list
# intergenic_length.pl
# YJ Luo | 2014.04.17

use strict;
use warnings;

open (IN, $ARGV[0]);

my $scaffold_id;
my $next_id;
my $gene_start;
my $gene_end;
my $distance;

while (<IN>) {
	my @fields = split (" ", $_);
	$scaffold_id = $fields[2];
	if ($next_id eq $scaffold_id) {
		$gene_start = $fields[6];
		$distance = abs ($gene_end - $gene_start);
		print $distance . ' |' . "\n";
		print $fields[8] . ' ' . $fields[4] . ' |' . "\n";
	}
	if ($next_id ne $scaffold_id) {
		print '>' . $fields[0] . ' | ' . $fields[2] . ' |' . "\n";
		print $fields[8] . ' ' . $fields[4] . ' |' . "\n";
	}
	$next_id = $scaffold_id;
	$gene_end = $fields[7];
}