#!/usr/bin/env perl
# Usage: perl orthomcl_select_taxa.pl taxon_list_2 groups.txt > groups.txt_2
# Pick up the gene id from specified taxon from the OrthoMCL output.
# orthomcl_select_taxa.pl
# YJ Luo | 2014.04.13

use strict;
use warnings;

open (LIST, $ARGV[0]) || die "cannot open the taxon_list! \n $!";
open (IN, $ARGV[1]) || die "cannot open the groups.txt! \n $!";

my @taxon_list = ();
while (<LIST>) {
	push (@taxon_list, "$_");
}

while (<IN>) {
	my @fields = split (/ /, $_);
	print $fields[0] . ' ';
	my @final_output = ();
	for my $i (0..$#taxon_list) {
		chomp $taxon_list[$i];
		if (/($taxon_list[$i]\|\w+)/) {
			my @matches = $_ =~ /($taxon_list[$i]\|\w+)/g;
			push (@final_output, "@matches");
		}
	}
	print "@final_output" . "\n";
}